For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all floor plans
        • GETGet floor plan by ID
        • GETGet all units
        • GETGet a unit by ID
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
AppfolioUnits

Get all units

GET
/v1/units/
GET
/v1/units/
$curl https://api.propexo.com/v1/units/ \
> -H "Authorization: Bearer <token>"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": [
12 {
13 "id": "clwktsp9v000008l31iv218hn",
14 "created_at": "2024-03-21T15:38:08.337Z",
15 "updated_at": "2024-03-22T10:59:45.119Z",
16 "last_seen": "2024-03-22T10:59:45.119Z",
17 "x_id": "1e27ba97-ef0b-4761-b848-4f3198b8560e",
18 "x_property_id": "53a9e06a-9e8b-4874-8013-01a08acd7fa1",
19 "x_floor_plan_id": "22cd4f16-fad2-4ec6-ad75-0f13f1a43f42",
20 "x_unit_type_id": null,
21 "bathrooms": "1.0",
22 "bathrooms_full": 1,
23 "bathrooms_half": 1.1,
24 "bedrooms": "2",
25 "building_name": null,
26 "building_number": null,
27 "city": "Los Angeles",
28 "country": null,
29 "custom_data": {},
30 "floor_plan_code": "string",
31 "floor_plan_name": "1 Bedroom Unit",
32 "floor": null,
33 "is_available": true,
34 "is_furnished": null,
35 "is_vacant": true,
36 "number": "Detra Stokes",
37 "rent_amount_market_in_cents": 150000,
38 "rent_amount_max_in_cents": null,
39 "rent_amount_min_in_cents": null,
40 "square_feet": 1090,
41 "state": "CA",
42 "address_1": "123 Sesame St",
43 "address_2": "123 Sesame St",
44 "zip": "14304",
45 "pets_allowed": null,
46 "dogs_allowed": null,
47 "cats_allowed": null,
48 "pet_policy": null,
49 "floor_plan_id": "cm7xvp5vb88803888363al35e7bse4z",
50 "integration_id": "clwh5u07w000508me66sfh3um",
51 "integration_vendor": "APPFOLIO",
52 "property_id": "clwi5xiix000008l6ctdgafyh",
53 "unit_type_id": null,
54 "is_listed": null,
55 "street_address_1": "string",
56 "street_address_2": "string"
57 }
58 ]
59}
Get all units
Was this page helpful?
Previous

Get a unit by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

updated_at_gtestring or nullOptional

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_ltestring or nullOptional

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query
x_idstringOptional
The external unit id
x_property_idstringOptional

Deprecated: Use the Propexo property_id instead

location_idstringOptional

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

property_idstringOptional
The Propexo property id
integration_idstringOptional
The Propexo integration id
integration_vendorenumOptional
The integration vendor for the unit.
unit_numberstringOptional

The number of the unit. When using this, the Propexo property_id filter must be added as well.

Response

Successful response
metaobject
resultslist of objects

Errors

400
Bad Request Error